import 'package:flutter/material.dart';

class FeedbackBuilder {
  static Widget tests(Widget child, int index, Animation<double> animation) =>
      Transform(
        transform: new Matrix4.rotationZ(0),
        child: Material(
          child: child,
          elevation: 1.0,
          color: Colors.transparent,
          borderRadius: BorderRadius.circular(16.0),
        ),
      );

  static Widget simple(
    BuildContext context,
    BoxConstraints constraints,
    Widget child,
  ) {
    return Transform(
      transform: new Matrix4.rotationZ(0.05),
      // alignment: FractionalOffset.topLeft,
      child: Material(
        child: child,
        elevation: 6.0,
        color: Colors.transparent,
        borderRadius: BorderRadius.circular(12.0),
      ),
    );
  }
}
